Package ru.bitel.bgbilling.plugins.gar.common.service

# Interface GarService

public interface GarService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `USER_AUTH_CONTRACT_KEY`
  `static final String`
  `USER_AUTH_PSWD_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkLoadedRegion(int regionId)`
  Проверка загружен и обработан ли регион
  `EntityAttrAddress`
  `getAddressByCoordinates(Double latitude, Double longitude)`
  Получение адреса по координатам
  `String`
  `getCoordinatesByAddress(int houseId)`
  Попытка получения координат для переданного адреса
  `org.json.JSONObject`
  `getCoordinatesByAddressString(String address)`
  Попытка получения координат для переданного адреса
  `List<IdTitle>`
  `getCountries()`
  `GarAddressCity`
  `getGarCityInfoByCityId(long cityId)`
  Получение информации по населённому пункту по его ID
  `SearchResult<GarLoadedHistoryEntry>`
  `getLoadedHistory(Page page, Date dateFrom, Date dateTo)`
  `List<GarAddressStreet>`
  `getStreetsByCityId(long cityId)`
  Список улиц для указанного населённого пункта
  `GarLoadedReport`
  `loadDataInDB(int countryId, GarAddressCity city, List<GarAddressStreet> streets, boolean streetWithHouses)`
  `String`
  `loadRegion(int regionId)`
  Отправка команды на сервер ГАР для загрузки региона в БД
  `List<IdTitle>`
  `regionList()`
  `List<IdTitle>`
  `searchCitiesByContainsName(int regionId, String namePart)`
  Получение списка населённых пунктов только с названием и id

- ## Field Details

  - ### USER_AUTH_CONTRACT_KEY

    static final String USER_AUTH_CONTRACT_KEY
    See Also:
      - Constant Field Values

  - ### USER_AUTH_PSWD_KEY

    static final String USER_AUTH_PSWD_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### regionList

    List<IdTitle> regionList() throws Exception
    Returns:
      Список всех регионов
    Throws:
      `BGException`
      `BGMessageException`
      `Exception`

  - ### searchCitiesByContainsName

    List<IdTitle> searchCitiesByContainsName(int regionId, String namePart) throws Exception
    Получение списка населённых пунктов только с названием и id
    Parameters:
      `regionId` -
      `namePart` -
    Returns:
    Throws:
      `BGException`
      `BGMessageException`
      `Exception`

  - ### getStreetsByCityId

    List<GarAddressStreet> getStreetsByCityId(long cityId) throws Exception
    Список улиц для указанного населённого пункта
    Parameters:
      `cityId` - ID населённого пункта
    Returns:
      список улиц
    Throws:
      `BGException`
      `BGMessageException`
      `Exception`

  - ### getGarCityInfoByCityId

    GarAddressCity getGarCityInfoByCityId(long cityId) throws Exception
    Получение информации по населённому пункту по его ID
    Parameters:
      `cityId` - ID населённого пункта
    Returns:
    Throws:
      `BGException`
      `BGMessageException`
      `Exception`

  - ### checkLoadedRegion

    boolean checkLoadedRegion(int regionId) throws Exception
    Проверка загружен и обработан ли регион
    Parameters:
      `regionId` - ID проверяемого региона
    Returns:
      true - если загружен и обработан
    Throws:
      `BGException`
      `BGMessageException`
      `Exception`

  - ### loadDataInDB

    GarLoadedReport loadDataInDB(int countryId, GarAddressCity city, List<GarAddressStreet> streets, boolean streetWithHouses) throws Exception
    Throws:
      `Exception`

  - ### getCountries

    List<IdTitle> getCountries() throws Exception
    Throws:
      `Exception`

  - ### loadRegion

    String loadRegion(int regionId) throws Exception
    Отправка команды на сервер ГАР для загрузки региона в БД
    Throws:
      `Exception`

  - ### getLoadedHistory

    SearchResult<GarLoadedHistoryEntry> getLoadedHistory(Page page, Date dateFrom, Date dateTo) throws Exception
    Throws:
      `Exception`

  - ### getCoordinatesByAddressString

    org.json.JSONObject getCoordinatesByAddressString(String address) throws Exception
    Попытка получения координат для переданного адреса
    Parameters:
      `address` - строка с адресов вида: "Россия, Уфа, улица Ленина, 120"
    Returns:
      json с координатами, пример: { "latitude":54.7412289, "longitude"55.9560197, "title":"120, улица Ленина, Советский район, Уфа, городской округ Уфа, Башкортостан, Приволжский федеральный округ, 450000, Россия" }
    Throws:
      `Exception`

  - ### getCoordinatesByAddress

    String getCoordinatesByAddress(int houseId) throws Exception
    Попытка получения координат для переданного адреса
    Parameters:
      `address` - строка с адресов вида: "Россия, Уфа, улица Ленина, 120"
    Returns:
      json с координатами, пример: { "latitude":54.7412289, "longitude"55.9560197, "title":"120, улица Ленина, Советский район, Уфа, городской округ Уфа, Башкортостан, Приволжский федеральный округ, 450000, Россия" }
    Throws:
      `Exception`

  - ### getAddressByCoordinates

    EntityAttrAddress getAddressByCoordinates(Double latitude, Double longitude) throws Exception
    Получение адреса по координатам
    Parameters:
      `latitude` - широта
      `longitude` - долгота
    Returns:
      json c адресом в формате: { "latitude":54.7412289, "longitude"55.9560197, "title":"120, улица Ленина, Советский район, Уфа, городской округ Уфа, Башкортостан, Приволжский федеральный округ, 450000, Россия" }
    Throws:
      `Exception`